summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-21 13:04:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-21 13:04:15 +0000
commit77be33b5d9ff98a8b09236f089ef03a62be16433 (patch)
treea57af5f7043444621d5f33983cda42cf9daa546a /dev-python
parent89f93fa70088c09455603a4a634da25ab0de8d45 (diff)
downloadbaldeagleos-repo-77be33b5d9ff98a8b09236f089ef03a62be16433.tar.gz
baldeagleos-repo-77be33b5d9ff98a8b09236f089ef03a62be16433.tar.xz
baldeagleos-repo-77be33b5d9ff98a8b09236f089ef03a62be16433.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.95.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.95.ebuild72
-rw-r--r--dev-python/charset_normalizer/Manifest1
-rw-r--r--dev-python/charset_normalizer/charset_normalizer-3.0.0.ebuild31
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2022.10.0.ebuild58
-rw-r--r--dev-python/inflect/Manifest1
-rw-r--r--dev-python/inflect/inflect-6.0.2.ebuild29
-rw-r--r--dev-python/ipykernel/Manifest1
-rw-r--r--dev-python/ipykernel/ipykernel-6.16.1.ebuild69
-rw-r--r--dev-python/jaraco-text/Manifest1
-rw-r--r--dev-python/jaraco-text/jaraco-text-3.10.0.ebuild71
-rw-r--r--dev-python/jupyter_client/Manifest1
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.4.3.ebuild46
-rw-r--r--dev-python/jupyter_core/Manifest1
-rw-r--r--dev-python/jupyter_core/jupyter_core-4.11.2.ebuild34
-rw-r--r--dev-python/jupyterlab_server/Manifest5
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.14.0.ebuild54
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.15.0.ebuild61
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild61
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.16.1.ebuild (renamed from dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild)20
-rw-r--r--dev-python/markdown2/Manifest1
-rw-r--r--dev-python/markdown2/markdown2-2.4.6.ebuild32
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-4.0.8.ebuild92
-rw-r--r--dev-python/nbclassic/Manifest4
-rw-r--r--dev-python/nbclassic/nbclassic-0.3.7.ebuild37
-rw-r--r--dev-python/nbclassic/nbclassic-0.4.4.ebuild46
-rw-r--r--dev-python/nbclassic/nbclassic-0.4.7.ebuild (renamed from dev-python/nbclassic/nbclassic-0.4.5.ebuild)21
-rw-r--r--dev-python/nuitka/Manifest3
-rw-r--r--dev-python/nuitka/nuitka-1.1.4.ebuild55
-rw-r--r--dev-python/nuitka/nuitka-1.1.6.ebuild (renamed from dev-python/nuitka/nuitka-1.1.3.ebuild)0
-rw-r--r--dev-python/openstackdocstheme/Manifest1
-rw-r--r--dev-python/openstackdocstheme/openstackdocstheme-3.0.1.ebuild30
-rw-r--r--dev-python/pbr/Manifest1
-rw-r--r--dev-python/pbr/pbr-5.11.0.ebuild73
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-6.2.1.ebuild62
-rw-r--r--dev-python/pyjwt/Manifest1
-rw-r--r--dev-python/pyjwt/pyjwt-2.6.0.ebuild37
-rw-r--r--dev-python/pytest-httpx/Manifest1
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.21.1.ebuild38
-rw-r--r--dev-python/scipy/Manifest1
-rw-r--r--dev-python/scipy/scipy-1.9.3.ebuild107
-rw-r--r--dev-python/stevedore/Manifest2
-rw-r--r--dev-python/stevedore/stevedore-4.0.2.ebuild49
-rw-r--r--dev-python/stevedore/stevedore-4.1.0.ebuild49
-rw-r--r--dev-python/swagger-spec-validator/Manifest3
-rw-r--r--dev-python/swagger-spec-validator/swagger-spec-validator-2.7.4.ebuild29
-rw-r--r--dev-python/swagger-spec-validator/swagger-spec-validator-2.7.5.ebuild29
-rw-r--r--dev-python/swagger-spec-validator/swagger-spec-validator-2.7.6.ebuild29
-rw-r--r--dev-python/swagger_spec_validator/Manifest1
-rw-r--r--dev-python/swagger_spec_validator/metadata.xml (renamed from dev-python/swagger-spec-validator/metadata.xml)4
-rw-r--r--dev-python/swagger_spec_validator/swagger_spec_validator-3.0.1.ebuild39
-rw-r--r--dev-python/uvicorn/Manifest1
-rw-r--r--dev-python/uvicorn/uvicorn-0.19.0.ebuild62
-rw-r--r--dev-python/watchfiles/Manifest1
-rw-r--r--dev-python/watchfiles/watchfiles-0.18.0.ebuild109
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.38.0.ebuild65
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.39.2.ebuild51
64 files changed, 1432 insertions, 426 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c48a5ef5e9a6..06f05281694f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.24.90.gh.tar.gz 545802 BLAKE2B 04148b878266a9d541a6fe8a4b4e8088fa2a
DIST boto3-1.24.91.gh.tar.gz 545914 BLAKE2B 763b39653d7de6ce27bb2a429ae0856a077f490e2c61b648ad89bde3c79731578272ffb558479517fd8a5235c41280413812b91f22604e6671cc1c941459fc90 SHA512 5b86a1518e8e6a9972d62dbcd8cd2f784d03e9e9fe7dc76ae4fc28b7c5151b277774bf01fce0473a3ff88af736132c389df5f7ae33c54f895b4c447e8cc19135
DIST boto3-1.24.92.gh.tar.gz 546140 BLAKE2B 308f170f83a8cdc66c0423721e3fc9a2a58fe11f3b5bc7290e85aa637714ce10bd728ae69ff9e09a6e62bcf76a178e1f118e78e85c0c845d925be1937402ca87 SHA512 a8968f780a6b2929368f8696c83e501d42f17219e5015f668734e3a66146ca3e4cb539a2cd47525ba5a8376ee4cd4b180b9a362fd221f8fe75b78bfa17b92894
DIST boto3-1.24.93.gh.tar.gz 546679 BLAKE2B edb3324c20fae7a0f7811d56c865c161dbd8f329a2bf2411641255439f6b046a773d414e884e1ec22cad7169e8b02f4644b7a39c4062fb9c845f2a42710263e2 SHA512 bd02644d14a3eb2b39b38269e503f3e7ef58a39ac69445306f23e7ddc56103c1cb7f5a2b7383ffa6eb65a5fb658bf67780ff2062840f018384df80d950ac4b46
+DIST boto3-1.24.95.gh.tar.gz 547598 BLAKE2B 0f648681e3b434a866763a72b936a3e43f83ff85d18c9e89646874cde81773cd8dad730f252f887c641a6bbb394fce743a2607d1a153a84319d3970875e6e5d6 SHA512 ab196e9a4d1be4cfa9b42d3172236d86e768bc2ac1ccbe4099b2c609cf6c20542b1c6dfb463d2984c8c87608892e5e347bd18d20989f947e32bd09973e769fc2
diff --git a/dev-python/boto3/boto3-1.24.95.ebuild b/dev-python/boto3/boto3-1.24.95.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.95.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 9bf04a469b07..4e7c41077266 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.27.90.gh.tar.gz 9712235 BLAKE2B 3140dd97ed33b368bf605ff77e15ada2
DIST botocore-1.27.91.gh.tar.gz 9712617 BLAKE2B 3317a45a297e1903d43d608760fb9e12c68d132f979bf4c76d73592aaa42a5f2d29a8c20bfa1f868365e962573bfa16986858dca2078b1fa797c58e71ab9a642 SHA512 0e2895cded36c3a9583c38ad018683556e26faa066d930c37a754798c31f0b510a86362357c66d13fbc141d04c30ae4f3d518ec46c95a1e37ed0e9912ab96a1e
DIST botocore-1.27.92.gh.tar.gz 9758222 BLAKE2B 4f3c04b9822dfb84eacf758c6768e3e278cd53148041982ca89f7bba451cb287b23e0f13198543766caa9719e5010b0e5ee0cf1b072caf6c49602d07dac6c1ca SHA512 107f36ef2bfb2fb98f2b8b5db04d3f5c345b1a4e7c03f2e949da5b4eb3694bfdf8d711c6a154df4bd248ef98be3868d69ba5a429037e3be61db4d3a4aa7df9e0
DIST botocore-1.27.93.gh.tar.gz 9759939 BLAKE2B 4d0afb73e8d0cd7bf14191ae104c28d5d0999db3542bf9ba7be1612ea616aeb446d13b13a91ecc0698471fad49b3623708d5d716229ad0f95fd17ff12809b466 SHA512 31fb75ccccc83a8235fdda36b09e2348f9698eb8999363ce8cba085ff91ff1ae505c20206c6c553a3fbad5a802b6888e02390203926b145909c86a92bc1c1180
+DIST botocore-1.27.95.gh.tar.gz 9790732 BLAKE2B 79d41a99a27b0dd01f9de1c722aba6a0826a2be7ef4f4114d9d20525b8110bed663a7c2a0613eb02c48b9b90ed3ee19e33015d63400b7b149e3ce76888632b82 SHA512 3831c3f389776c6beb18b0cf19e92af74974e54c4526224ab23904f43bef7f1a197fef8a8ee0e304bd3f114b9206daf0d720720b98b461cdee62aa0992ff654f
diff --git a/dev-python/botocore/botocore-1.27.95.ebuild b/dev-python/botocore/botocore-1.27.95.ebuild
new file mode 100644
index 000000000000..ba4830d69cb3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.95.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/charset_normalizer/Manifest b/dev-python/charset_normalizer/Manifest
index 1fca50314b2d..f4df63e290dd 100644
--- a/dev-python/charset_normalizer/Manifest
+++ b/dev-python/charset_normalizer/Manifest
@@ -1,2 +1,3 @@
DIST charset_normalizer-2.1.0.gh.tar.gz 85498 BLAKE2B f18c491b7d2b32cfc3cd92b1dc074b89f562c11a1bdebb9d4ff7c230ac7c2394c6f7cb30caa8cde9d8da26f1ed527a01c28236099b793808274c1146f258546d SHA512 a14e9e1d58eb23c9c568e7e74ab88361f522a76575b5ddc30df392f33584c821cf4943029395d2535c641d8fe441256803e6d2212e52c6f4b0544db64bd73b7c
DIST charset_normalizer-2.1.1.gh.tar.gz 86023 BLAKE2B aefd9b5f78a5c75701b4239d443f0ca2f6ec755703c7b51ddecff5bf014c7e9203650a5f09ac791b76793c6ef999c31236dceb6721e81959c5df40d70c7cb20f SHA512 77df5bdf9ca2f6b2594cc6a5ff54d1d50fd17c2175f96d6853ef6b3a48cdfc0d2852e1dcffc4814fa9bba30ebc3e26ce992c7139b6b21dfaf46fd9c9e8b0c95e
+DIST charset_normalizer-3.0.0.gh.tar.gz 88411 BLAKE2B f57f24e79da20a60570d5350bb848d77b2cf5980da00813f706b09ff691235473d955740d0575355da2d9c6e58ea69a441000c1429033cdb8478506f0580c26b SHA512 240589047b177b38b1f59723699cb8336ca43cabff8269e877f9c62430a3c3a8875cdfcf66a10801a33136279c5e0c150b873ff2b5f596b5dbb2049122e18fc2
diff --git a/dev-python/charset_normalizer/charset_normalizer-3.0.0.ebuild b/dev-python/charset_normalizer/charset_normalizer-3.0.0.ebuild
new file mode 100644
index 000000000000..af1232976b3c
--- /dev/null
+++ b/dev-python/charset_normalizer/charset_normalizer-3.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="The Real First Universal Charset Detector"
+HOMEPAGE="
+ https://pypi.org/project/charset-normalizer/
+ https://github.com/Ousret/charset_normalizer/
+"
+SRC_URI="
+ https://github.com/Ousret/charset_normalizer/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
+}
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 0d6ae8374343..500adc2e8fd1 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
+DIST filesystem_spec-2022.10.0.gh.tar.gz 338829 BLAKE2B 93d0f878218d750f605d0f6cb7011504d3b5325ec9d80bad3e4d0f2c51e7494c751478958131bb6522ad5c3144a129a508b948a114f3a6c55d43b9a206b46a2b SHA512 ac8d9118df9b69c082e0707990ff29bdd7576534622be8fc1a10e8cc14d1d3a328fc8e022dc9f316af3da4afb4d38fe3fb533222aa89c47d4d49a296c6b9bf6b
DIST filesystem_spec-2022.8.2.gh.tar.gz 338446 BLAKE2B 0f3b78794271b367d8e5d26ff889e7d72df7148baa7ca2e7dca3884cbeff74b41f5ce1a532fa768523f29d230f574e630fb3de43b767ace874f831a4d2a47e1f SHA512 696f726000c413ba78380b5e17e312ecca30b51093ebf8d7c3658fb7b82ace57223d3aac471e3a772d350523142bdf983b547277838cca0b182ecb4e0a4b3924
diff --git a/dev-python/fsspec/fsspec-2022.10.0.ebuild b/dev-python/fsspec/fsspec-2022.10.0.ebuild
new file mode 100644
index 000000000000..e6bba4b5cfd5
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2022.10.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+ fsspec/tests/test_spec.py::test_find
+)
+
+EPYTEST_IGNORE=(
+ # sftp and smb require server started via docker
+ fsspec/implementations/tests/test_dbfs.py
+ fsspec/implementations/tests/test_sftp.py
+ fsspec/implementations/tests/test_smb.py
+ # unhappy about dev-python/fuse-python (?)
+ fsspec/tests/test_fuse.py
+)
diff --git a/dev-python/inflect/Manifest b/dev-python/inflect/Manifest
index 5b5a19dd02d0..1bff69debfe2 100644
--- a/dev-python/inflect/Manifest
+++ b/dev-python/inflect/Manifest
@@ -1 +1,2 @@
DIST inflect-6.0.0.tar.gz 70108 BLAKE2B 5e20c265ef7683d1cd671d86697b8fc8d683ef4e7dd856fe0e0797e39a5e97a9a62984b9dd39f54187e54e3a7b961dd6c77b0f50822fef19bec462c485ee7600 SHA512 8cd38dc2e59bba5b47dfbf0f7626fce43bc4ecafa22f4555e48d9827b4f7f235c282477e9a008f172cc08eefcb5f44e2133de2c28e04ddb29c9392a5486b2719
+DIST inflect-6.0.2.tar.gz 70830 BLAKE2B 8faa09c53f836429b6e1a2965da3c4315260e1cb3ae7dc40fe226d7f4595e9bd54498167c044f67fed5f79e2997af5425cc13680b9c2b722ffd702095f60b038 SHA512 ddb0439eeffbd21b3293208eb7e89f97fe556a3ba1e88de7e15d1c6bc5a59cdb25a224d7cfec5a010dd384728b15317c1dc752e3a8d4d95dd6eea8224a4f2877
diff --git a/dev-python/inflect/inflect-6.0.2.ebuild b/dev-python/inflect/inflect-6.0.2.ebuild
new file mode 100644
index 000000000000..1c18396f342a
--- /dev/null
+++ b/dev-python/inflect/inflect-6.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Correctly inflect words and numbers"
+HOMEPAGE="
+ https://pypi.org/project/inflect/
+ https://github.com/jaraco/inflect/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pydantic-1.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 2ecdbdce384c..75d71b5a9f2a 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,2 +1,3 @@
DIST ipykernel-6.15.3.tar.gz 136470 BLAKE2B 45279a6cfc85c3c2bafe9913b78077a3212bc61b961824f449cdf6ed6a34fe777e0fef1585bc7e4062f4e73124efd24a1c6a16e4168a03d31420836105c3ba55 SHA512 52e9b20b4b9ce691a42a64f535b41b9567a9849c87c0c9903d0b14dc6a00c57ab42d93b6bca8d955be8a31354722268006ce8b576664eb8a4b7f6a3400164c1d
DIST ipykernel-6.16.0.tar.gz 136212 BLAKE2B efb779c4585d5594dcf8beaf03f2cd0174aa3b22e184a4c5f54e0e9e97f5bcb81af27c19f503a8b8883720a4380bfb483a952858a75c5b08b19030cc84c0cbec SHA512 04c43c83d17f451b7139e3f7301b35598ff3644ac1542bed9eb2584a558ee202e66c3e36553f96484bb4ee5cc369cfe2ad2bf0054799ad29ffd0e065bdcade98
+DIST ipykernel-6.16.1.tar.gz 136501 BLAKE2B 01f335319a7fe3749f770a721bd287f357dd9d5a948368d6495642607eb43f085f529be8759cfaa72acddc4973b814599492b9a87632d48373564f668696264c SHA512 748e538a99db913bf5fa8a3bfd83f59f4209e84e262f0fbb93d65100dd70502315ba7fafa7e55445c58f5de38c09e6d155b4ec9ed12e2ac53214e041e7345aa5
diff --git a/dev-python/ipykernel/ipykernel-6.16.1.ebuild b/dev-python/ipykernel/ipykernel-6.16.1.ebuild
new file mode 100644
index 000000000000..bfbd82f61b4b
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.16.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ ipykernel/inprocess/tests/test_kernel.py::InProcessKernelTestCase::test_pylab
+ ipykernel/tests/test_debugger.py::test_attach_debug
+ ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_set_breakpoints
+ ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+)
+
+src_prepare() {
+ sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
diff --git a/dev-python/jaraco-text/Manifest b/dev-python/jaraco-text/Manifest
index e74deee1c780..b5ab2f5d58c3 100644
--- a/dev-python/jaraco-text/Manifest
+++ b/dev-python/jaraco-text/Manifest
@@ -1 +1,2 @@
+DIST jaraco.text-3.10.0.tar.gz 15588 BLAKE2B af615a481c21cfb3d0aa7824ad4a657dc2b629912f9772d25a9930891c222bea1205f1badcfd77502cfe84953873be55006eb6a1e475417296df821aadd94b63 SHA512 1c83dc9247e8c55ed20d8768abcb66c3fb4cdfb9ade3744f3d3c3e705b94e376c7b44fdfe242189001d69fbf28fdb5601ff33b1874495b3c2ad9bdd781265f43
DIST jaraco.text-3.9.1.tar.gz 14859 BLAKE2B 39fad64b85c8c1ea7b5bdac963b972b93ddb632940fe873fd0a646ca02d1e3a177742db9099cbbcd07dace1450c23a2e994c36f304a819e98e1c78907af975bd SHA512 f850125c7612342772d5a4a68076ea53a8cad6015c8bbe7e2923b034f8f601c8ff974eec0069b1bacba115d0aa43a948aea3b79f61d773464c823aac1880bbf1
diff --git a/dev-python/jaraco-text/jaraco-text-3.10.0.ebuild b/dev-python/jaraco-text/jaraco-text-3.10.0.ebuild
new file mode 100644
index 000000000000..0f9a7b45623c
--- /dev/null
+++ b/dev-python/jaraco-text/jaraco-text-3.10.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Text utilities used by other projects by developer jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.text/
+ https://pypi.org/project/jaraco.text/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jaraco-context-4.1.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-functools-3.5.0-r1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+# needed only for CLI tool, make it PDEPEND to reduce pain in setuptools
+# bootstrap
+PDEPEND="
+ dev-python/autocommand[${PYTHON_USEDEP}]
+ dev-python/inflect[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${PDEPEND}
+ $(python_gen_cond_dep '
+ dev-python/pathlib2[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "jaraco.text"
+ version = "${PV}"
+ description = "Module for text manipulation"
+ EOF
+}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}text-${PV}.dist-info || die
+}
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 76c19e50e4ef..834c22e5e093 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_client-7.3.5.tar.gz 326758 BLAKE2B c2ac76eb6511b29c38d7e7441e1191bae1f931da27f2eb95d6cb842a0e36f36a6f7a1421253b62abf52243f9fdad36b34828e6d5cd13a0411fa4ce09b447c3bc SHA512 5a3471fe03f44671fc2a06f8c78c11197084c8c951a1f8b55b89d651a6aea2ae1bdbb451ed463e52519954e7dba99b4e2298a6511eef2a3618f095dc864758d9
DIST jupyter_client-7.4.2.tar.gz 327079 BLAKE2B 71e1f2d7a84a308b37105887ab7851e1f8a8e1f3019d937ec2c48493396dd757f3b7bcd75be180187f2a2855f20f5c0db924b058d316a34d503a2964c63b65c9 SHA512 4e22cb0dccdc96d16c560dba2f9b19616015143d5bd709b9dafed9fa2419ab3d8e6f9091f8a94ab78a0a1d16db2db86def23300b6a39485c0c978f145da4eb47
+DIST jupyter_client-7.4.3.tar.gz 327186 BLAKE2B 04b601d0b492879b2a5f06c53610a354c640376707188fb75394df42ee4ea426ff87a9df5537e242115ea86a9db64bb625b0911407bfe5b00d667843cd78118a SHA512 620ebd31518b6161a32503c1fbb1f18c11e50c15bafd6a46747cc5de682d025aad626fae226ddcf9f2843fa9eb3580825c08474f7309906738da7a02c8d75193
diff --git a/dev-python/jupyter_client/jupyter_client-7.4.3.ebuild b/dev-python/jupyter_client/jupyter_client-7.4.3.ebuild
new file mode 100644
index 000000000000..ddfeba1067be
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-7.4.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter_client/
+ https://pypi.org/project/jupyter-client/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.9.2[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5.4[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-23.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ipykernel-6.12[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.0.6-test-timeout.patch
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/jupyter_core/Manifest b/dev-python/jupyter_core/Manifest
index f90a041f7cb7..5a3de0215dd9 100644
--- a/dev-python/jupyter_core/Manifest
+++ b/dev-python/jupyter_core/Manifest
@@ -1 +1,2 @@
DIST jupyter_core-4.11.1.tar.gz 73661 BLAKE2B 38f93826fd86f5b4dcd5495473426e934365aea3156e6bd881041920b5604a7ae11becc3d1037785f448f085b03e5afa361b7221378425e9e758fca90ed850e4 SHA512 38348e8fc349ab7bdc83599607e6179c2d14dd3a42daf6b52cb0a6fb4feee360aed4e7c682e6349dcf560b2dec598f9a27477e0b2e982fd85e5a385b1bca5858
+DIST jupyter_core-4.11.2.tar.gz 788994 BLAKE2B a337d6974f905b3b666225f828f2026f7dd314e34411f7998b8d2981ad9623029901e5369bfe831ecfcbf3be387bb0adc7f067269537a6b2a73029f439bfe9a1 SHA512 7659b61ad5793d6e4ceba09f7d4422610ceb358cbba30e2bee7ab7910e6c03cb365fad5db8e4444f9e0fd196361d5b15370f41fb7cb13c2e551382e19d7d6b73
diff --git a/dev-python/jupyter_core/jupyter_core-4.11.2.ebuild b/dev-python/jupyter_core/jupyter_core-4.11.2.ebuild
new file mode 100644
index 000000000000..34f8e577b964
--- /dev/null
+++ b/dev-python/jupyter_core/jupyter_core-4.11.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter_core/
+ https://pypi.org/project/jupyter-core/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/traitlets[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinxcontrib-github-alt
+distutils_enable_tests pytest
diff --git a/dev-python/jupyterlab_server/Manifest b/dev-python/jupyterlab_server/Manifest
index 1456ce5ec2b3..bcdd1617e2b3 100644
--- a/dev-python/jupyterlab_server/Manifest
+++ b/dev-python/jupyterlab_server/Manifest
@@ -1,5 +1,2 @@
-DIST jupyterlab_server-2.14.0.tar.gz 62704 BLAKE2B 93277a6880a9395622e6c0ec1da9522c5e30e7a8144c8629de89f45845964008f0a435ec84289efe56043c8ebb998ea65df1d09f3da72096f255fcafa29fab53 SHA512 21ecf749879663378d865bd06161fb3e331f3675038917e405df0cb77d4a4cec55340a35d6511676fa4d91ecaedcd1e7f8aec3a13ad3a39298d10911ab215cc6
-DIST jupyterlab_server-2.15.0.tar.gz 61443 BLAKE2B 48ead96f13caf747cc14f7d65dc6104822dcd0fe17315a2cee4111598b40f05119998f169aef90411e84fe24e8f09736c857325752cfa3f22047acb2a9e2e3c1 SHA512 27530b293ad7c171b280a4c165d7f983c85238c4cb0bc89bb2eda8493b2988f047045c842ba456df9d0bfef00b5ee28b061c537ef6293d726c3a4f3d6572727c
-DIST jupyterlab_server-2.15.1.tar.gz 62345 BLAKE2B 14d82bc9cc7566312c4f434b78f396bb822f150653e3be6f1e328d620d1d8b205a8dca8c0b4a1e84a52562e04f76cb63154fd1b58f45da3a4f787a32468595cc SHA512 b4fba8a09562a70a705170406b69cbfaad4fcee290ca74e7949155698af616e4ce650a75c06bfa613e1a307980a4769418587ccf33a964868053ded9a7648095
-DIST jupyterlab_server-2.15.2.tar.gz 62533 BLAKE2B 46df68a0f1500e1b4520817ee63042194e65e72fb9d63058bc18effad1668e19733e6a1d5edbd2ec6e07c4c932c2901d974f787455142404f8162d2a83205f68 SHA512 670b9cb3a982d832225a7e632dda57000044a5a4b86f4d0c308cc20c1ad8db09216ae3918af52209dd3bfb04d34c807fca7060208db239b52ef9f29b92943ead
DIST jupyterlab_server-2.16.0.tar.gz 62546 BLAKE2B ce8c1d8aa906d61ebdfccbcdd851a26df09c39a4dbdbe84297889b6a28960eb7616de049b6a6cab6188ae4392535f1e45f60f4699b52ce9eea4071c9b89d7745 SHA512 13df24cf3b77d74b64cbacb6d0d9f385e2e09adc77dc223a0ebaa56585c29f7fcf3f91c0091c4d3354dc0059ba1126cf813c74119f3c8f6a6244b9d1f0ab43e2
+DIST jupyterlab_server-2.16.1.tar.gz 64634 BLAKE2B 05d71b229b9e226bcae409028ff97fa6313662b506171ee5fcb3d8a0cb29c6339f5a54ce91a31b251e969d1418d1a6ede61ccefb1be5412f35bbe51d34378fcf SHA512 3841463b56adcca2d65a9943e04c084fef47b208b46012c9e01a3f91d58058d0bc8e0e97dd1c794ebc7963fc7106f4965524ba293268bb4e7a2e41158a7c54cf
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.14.0.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.14.0.ebuild
deleted file mode 100644
index c58b53b2af06..000000000000
--- a/dev-python/jupyterlab_server/jupyterlab_server-2.14.0.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=hatchling
-inherit distutils-r1
-
-DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
-HOMEPAGE="https://jupyter.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/Babel[${PYTHON_USEDEP}]
- >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
- >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
- dev-python/json5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
- <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
-"
-
-BDEPEND="test? (
- dev-python/ipykernel[${PYTHON_USEDEP}]
- dev-python/jupyter_server[${PYTHON_USEDEP}]
- dev-python/openapi-core[${PYTHON_USEDEP}]
- dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
- dev-python/pytest-tornasync[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/strict-rfc3339[${PYTHON_USEDEP}]
-)"
-
-distutils_enable_tests pytest
-# TODO: package autodoc_traits
-#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
-
-python_prepare_all() {
- # This seems to not work for us, can only find english
- rm tests/test_translation_api.py || die
-
- # Do not depend on pytest-cov
- sed -i -e '/addopts/d' pyproject.toml || die
-
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.15.0.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.15.0.ebuild
deleted file mode 100644
index 1d731fd17066..000000000000
--- a/dev-python/jupyterlab_server/jupyterlab_server-2.15.0.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=hatchling
-
-inherit distutils-r1
-
-DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
-HOMEPAGE="
- https://jupyter.org/
- https://github.com/jupyterlab/jupyterlab_server/
- https://pypi.org/project/jupyterlab-server/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/Babel[${PYTHON_USEDEP}]
- >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
- >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
- dev-python/json5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
- <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/ipykernel[${PYTHON_USEDEP}]
- dev-python/jupyter_server[${PYTHON_USEDEP}]
- dev-python/openapi-core[${PYTHON_USEDEP}]
- dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
- dev-python/pytest-tornasync[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/strict-rfc3339[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-# TODO: package autodoc_traits
-#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
-
-python_prepare_all() {
- # This seems to not work for us, can only find english
- rm tests/test_translation_api.py || die
-
- # Do not depend on pytest-cov
- sed -i -e '/addopts/d' pyproject.toml || die
-
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild
deleted file mode 100644
index 1d731fd17066..000000000000
--- a/dev-python/jupyterlab_server/jupyterlab_server-2.15.1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=hatchling
-
-inherit distutils-r1
-
-DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
-HOMEPAGE="
- https://jupyter.org/
- https://github.com/jupyterlab/jupyterlab_server/
- https://pypi.org/project/jupyterlab-server/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/Babel[${PYTHON_USEDEP}]
- >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
- >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
- dev-python/json5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
- <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/ipykernel[${PYTHON_USEDEP}]
- dev-python/jupyter_server[${PYTHON_USEDEP}]
- dev-python/openapi-core[${PYTHON_USEDEP}]
- dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
- dev-python/pytest-tornasync[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/strict-rfc3339[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-# TODO: package autodoc_traits
-#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
-
-python_prepare_all() {
- # This seems to not work for us, can only find english
- rm tests/test_translation_api.py || die
-
- # Do not depend on pytest-cov
- sed -i -e '/addopts/d' pyproject.toml || die
-
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.16.1.ebuild
index c35c3afa118e..f1a31128f8b3 100644
--- a/dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild
+++ b/dev-python/jupyterlab_server/jupyterlab_server-2.16.1.ebuild
@@ -22,14 +22,16 @@ KEYWORDS="~amd64 ~x86"
RDEPEND="
dev-python/Babel[${PYTHON_USEDEP}]
- >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
>=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
dev-python/json5[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
>=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
- <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
+ <dev-python/jupyter_server-3[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.8.3[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
"
BDEPEND="
@@ -39,7 +41,6 @@ BDEPEND="
>=dev-python/openapi-core-0.14.2[${PYTHON_USEDEP}]
<dev-python/openapi-core-0.15[${PYTHON_USEDEP}]
dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
dev-python/pytest-tornasync[${PYTHON_USEDEP}]
dev-python/pytest-timeout[${PYTHON_USEDEP}]
dev-python/ruamel-yaml[${PYTHON_USEDEP}]
@@ -51,12 +52,11 @@ distutils_enable_tests pytest
# TODO: package autodoc_traits
#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
-python_prepare_all() {
- # This seems to not work for us, can only find english
- rm tests/test_translation_api.py || die
-
- # Do not depend on pytest-cov
- sed -i -e '/addopts/d' pyproject.toml || die
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_translation_api.py
+ )
- distutils-r1_python_prepare_all
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
}
diff --git a/dev-python/markdown2/Manifest b/dev-python/markdown2/Manifest
index a0a1f6484ba4..8ee485446144 100644
--- a/dev-python/markdown2/Manifest
+++ b/dev-python/markdown2/Manifest
@@ -1,2 +1,3 @@
DIST markdown2-2.4.3.tar.gz 102973 BLAKE2B 7a856a9d0bd539e3de1e358aa7d4968aca62b67a30dc64a905633040a6a525b2ac1ec0d4cd7d8d4ed9b38e68e5df3f187cf0f56e1816a4ec10efe4e849356580 SHA512 b5eb5cb6ac52878a224aa6b4642ade86593de5340594271940b3ef25809a9e37b9b3cbb04f4fa9880a50a4fee8ed85c1c6d76b19065b0fd703363faf4d812679
DIST markdown2-2.4.5.tar.gz 109389 BLAKE2B 52ef708f0b6df4d948f909b08a94c584738a34fdfc2c063713eead5b3ab9e657468ad2c112951f3296e167efe52c183997f5102a2dbcef15477de064b16bd89e SHA512 55ff010691110c2f79844031b0d4d7c6982c92dc75a1820e8659be02deeda868aca15931c1060795096e3228e6d451d247addc090f1d4939444331d37d5891c2
+DIST markdown2-2.4.6.tar.gz 118321 BLAKE2B d6d053f9f19da0857664275280c9e12d59da9c88db5643df04c4538b3ac9e24feca66361dd05685b2a0d0281af353324e1b051bc315e78f2be9edb20367fa9be SHA512 4c8dbbfa828e6a01e05e714a5d79f8ec4137e80bbd221251d81fc9185f175dc9ac7ebd7b043d052a4b0c2963715d0d25429a22b2671f1512e92c48177c56e2ea
diff --git a/dev-python/markdown2/markdown2-2.4.6.ebuild b/dev-python/markdown2/markdown2-2.4.6.ebuild
new file mode 100644
index 000000000000..8b6ed7d72ca2
--- /dev/null
+++ b/dev-python/markdown2/markdown2-2.4.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Markdown language reimplementation"
+HOMEPAGE="
+ https://github.com/trentm/python-markdown2/
+ https://pypi.org/project/markdown2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/pygments-2.7.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" -m unittest test_markdown2.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 072bd9a57bf6..4fd0cd28489e 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -1,3 +1,4 @@
DIST moto-4.0.0.tar.gz 2404959 BLAKE2B a9969cb306937deaa15aca1ee76a447d0e416a7be160da9c81ce30e5147fd595cbe7b38f84ee26e795d055e3f62a6c1467e176d9b7ee58197c9d22a34f94918e SHA512 11bc093b6e89bad5340433daee0f9ba482a8534ab73a57a77556510f1dfef8186ee45b6c914bab291e861eb50d4bda7686d3d22d469db87a79e3247dbefd2e6d
DIST moto-4.0.6.tar.gz 2465655 BLAKE2B e9ab47e910baf2b704c87a0d4583bdf02f2e4a1a23d08402c431012b18750ed229abdd96c98bb5dde5ba69837613853bb108b4d390b5c28afb3475b63d97bf95 SHA512 32def58317c2e76960f2db1d79a95a5468d110284540f9441e495b7d08109ab0933a2f5dc8673fdc71bd601cb5f6395f53aad7d1aef065c7ee3a1a318e5850a7
DIST moto-4.0.7.tar.gz 2478859 BLAKE2B ba3df603fd1ea9e944037bc8abe3d9343fab483efe4446045cf81e16d9918e5291e4470e2b6d51faa99c64a581c2a7890eb9a558fd9b4e431b70b5c71393d2a2 SHA512 b0119cfa480d735ac255125c058c1026e0b32690fcedf64889845452bfc9e92dd2f64e3c413bdce24dd43a205b88a9df03896afe96149146a8690b7d6bb4437f
+DIST moto-4.0.8.tar.gz 2488253 BLAKE2B ae707de8f0917b62904f38f977eded8f3e995271da8a7d6be47f05a24e3cb8bb8121e5e52625deb6c8f836e5f328352a7e6ea0855a4278c32dc9363da0faa8cc SHA512 9d3d3164bb6a77901bb55b8c536bfc8822e5b5292d79fedfe89a4a7fefaeab24b740d9a898e9487152a45c5a3bfd15d8aaca042a485bea389e1a82bb0a90bdd0
diff --git a/dev-python/moto/moto-4.0.8.ebuild b/dev-python/moto/moto-4.0.8.ebuild
new file mode 100644
index 000000000000..151a958de4bc
--- /dev/null
+++ b/dev-python/moto/moto-4.0.8.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ dev-python/cfn-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ dev-python/botocore[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.2.8[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ tests/test_swf/responses/test_decision_tasks.py::test_respond_decision_task_completed_with_schedule_activity_task_boto3
+ tests/test_swf/responses/test_timeouts.py::test_activity_task_heartbeat_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_decision_task_start_to_close_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_workflow_execution_start_to_close_timeout_boto3
+ # broken code (local variable used referenced before definition)
+ tests/test_appsync/test_appsync_schema.py
+ tests/test_appsync/test_server.py::test_appsync_list_tags_for_resource
+ # Needs network (or docker?) but not marked as such, bug #807031
+ # TODO: report upstream
+ tests/test_batch/test_batch_jobs.py::test_terminate_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_pending_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_running_job
+ tests/test_batch/test_batch_jobs.py::test_dependencies
+ tests/test_batch/test_batch_jobs.py::test_container_overrides
+ tests/test_cloudformation/test_cloudformation_custom_resources.py::test_create_custom_lambda_resource__verify_cfnresponse_failed
+ tests/test_cloudformation/test_cloudformation_stack_integration.py::test_lambda_function
+ tests/test_events/test_events_lambdatriggers_integration.py::test_creating_bucket__invokes_lambda
+ tests/test_sqs/test_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_s3/test_server.py::test_s3_server_post_to_bucket_redirect
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events0-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events1-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events3-ObjectCreated:Put]"
+ )
+
+ # pytest-django causes freezegun try to mangle stuff inside django
+ # which fails when django is not really used
+ epytest -p no:django -m 'not network'
+}
diff --git a/dev-python/nbclassic/Manifest b/dev-python/nbclassic/Manifest
index 4963f89eb622..e4c1e3d4f50e 100644
--- a/dev-python/nbclassic/Manifest
+++ b/dev-python/nbclassic/Manifest
@@ -1,4 +1,2 @@
-DIST nbclassic-0.3.7.tar.gz 15973 BLAKE2B a26a975fa8711c41a199e0b88b5ec83aefa4b812fce6ab4a765aa4920fae6b863519dbae556d663bf761a866a26ee6fe7c322c947312b89770a34f2a5b570455 SHA512 3ceaeeafa7e56d17cda29e4c86b4cb5f44517721b47e41ad1ac535704b8f460d88a5feb280ad8a9cef78366581e08c94837cab4ef2eae8dbce2ded183a787ea2
-DIST nbclassic-0.4.4.tar.gz 19873779 BLAKE2B ebdca5cb80de439f305406b0507f460a600c03a8fbb90b28d962974147d9e94f374282c02653019f2a519078812c2b25bbbcc9c12befbcdac72f305135437a70 SHA512 f7b425ea78f555d2d9d60e221fd3d3f551f7fa4ed4f6178a0596ff59ec0c1ead212f2102aeeaedf95ec3c5f7c2ea7536c21ff5df9f5b78b9718ab9bdf23159bf
-DIST nbclassic-0.4.5.tar.gz 19873691 BLAKE2B e7ebc2503bff405c18d1488391a9ab50c170bce9d3cf1b51944d24f4891a483b4c17c3dcb31c9021f8ab2ae5687fd800fd17d80b4872b9e5eeb4d9012081d724 SHA512 690ada48801ab4de94fea35460021c9692c97500e343312d0e229400fad5e404fdb3b0b1e32a8ce3fce1ba213c0ea9dcd3cb4fdf7dc3bde0fa3458397ae4020c
DIST nbclassic-0.4.6.tar.gz 19870837 BLAKE2B aba744557f6a87fd95669c0736c314714f2318abe65ed5ca0d5c4236245e27bfde52fe486e43a7369587103459598540e15738d002da859413f3f59d87f5358c SHA512 915265679194b8101ef7f11fd6a76cfa2c238d2b533f40bd3dd9f91b12488f9f5738a0f5ba06882a2898e231525a8b160506cb07f0c0837a64af6fdca1295065
+DIST nbclassic-0.4.7.tar.gz 19871431 BLAKE2B ea9b77c2676e4f70a6785b5cceaed6f233346cbc878c83e14faf23c50d4340106df0f84ee3a20bfab3f02daae5b10123ef6cc83e4d147f5d63017f02a463df1b SHA512 19ffff062fe24316e658af253210fd683b4a950b5913e978eeb98af42e76ce4c1d4dcf164c499d20814c2fe2bd9b1fcd7d09c513e71cc75615cc378f00308556
diff --git a/dev-python/nbclassic/nbclassic-0.3.7.ebuild b/dev-python/nbclassic/nbclassic-0.3.7.ebuild
deleted file mode 100644
index 390e15231b8a..000000000000
--- a/dev-python/nbclassic/nbclassic-0.3.7.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=jupyter
-inherit distutils-r1
-
-DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
-HOMEPAGE="https://jupyter.org/"
-SRC_URI="https://github.com/jupyterlab/nbclassic/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
- <dev-python/notebook-7[${PYTHON_USEDEP}]
- >=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
- dev-python/pytest-tornasync[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- distutils-r1_python_install_all
- # move /usr/etc stuff to /etc
- mv "${ED}/usr/etc" "${ED}/etc" || die
-}
diff --git a/dev-python/nbclassic/nbclassic-0.4.4.ebuild b/dev-python/nbclassic/nbclassic-0.4.4.ebuild
deleted file mode 100644
index 9c28812cbb60..000000000000
--- a/dev-python/nbclassic/nbclassic-0.4.4.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_PEP517=jupyter
-inherit distutils-r1
-
-DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
-HOMEPAGE="https://jupyter.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- >=dev-python/jupyter_server-1.17.0[${PYTHON_USEDEP}]
- <dev-python/notebook-7[${PYTHON_USEDEP}]
- >=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
- dev-python/pytest-tornasync[${PYTHON_USEDEP}]
- )
- doc? (
- virtual/pandoc
- )
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs/source \
- dev-python/sphinx_rtd_theme \
- dev-python/nbsphinx \
- dev-python/sphinxcontrib-github-alt \
- dev-python/myst_parser \
- dev-python/ipython_genutils
-
-python_install_all() {
- distutils-r1_python_install_all
- # move /usr/etc stuff to /etc
- mv "${ED}/usr/etc" "${ED}/etc" || die
-}
diff --git a/dev-python/nbclassic/nbclassic-0.4.5.ebuild b/dev-python/nbclassic/nbclassic-0.4.7.ebuild
index 6292142fc6f1..f5049737f3bd 100644
--- a/dev-python/nbclassic/nbclassic-0.4.5.ebuild
+++ b/dev-python/nbclassic/nbclassic-0.4.7.ebuild
@@ -6,7 +6,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10} )
DISTUTILS_USE_PEP517=jupyter
-inherit distutils-r1
+inherit distutils-r1 xdg-utils
DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
HOMEPAGE="
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
RDEPEND="
>=dev-python/jupyter_server-1.17.0[${PYTHON_USEDEP}]
@@ -26,9 +26,9 @@ RDEPEND="
>=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
"
+# pytest-console-scripts seem unused
BDEPEND="
test? (
- dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
dev-python/pytest-tornasync[${PYTHON_USEDEP}]
)
doc? (
@@ -44,8 +44,23 @@ distutils_enable_sphinx docs/source \
dev-python/myst_parser \
dev-python/ipython_genutils
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}
+
python_install_all() {
distutils-r1_python_install_all
# move /usr/etc stuff to /etc
mv "${ED}/usr/etc" "${ED}/etc" || die
}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index a1cf434133f5..63d184e666f0 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,3 +1,2 @@
-DIST Nuitka-1.1.3.tar.gz 3921812 BLAKE2B f3160facc010fb55510246d8c455665c9be1c893629a04ecfd204fcd6898ae6e4955684804cc83abff8e35084727c87b848abd9d5c25f8d0eb5b054b1c2f7d5a SHA512 fcc1374605ae8429a3f22c926783d8f96b335597b152320d2a33152ccabb7e3cb003f7870d51dcf36d1e4bbc391f517e56631c49905a4bd1cc146e5ada9c5aa6
-DIST Nuitka-1.1.4.tar.gz 3923043 BLAKE2B 7c85aab9170f118f43c56a097ef4ea90e78e539d8a796fcf4435f1e2d27e1f8a7f87ab030736f231834ab044db512e6649f6f0f2b7726dcda989edad5cc9cbae SHA512 9bf9de077d71cdca629737f21ddac22fa8526d4e1d3ec3a41465f8764997141a3a5e6e2d545001b72f66dc972fe7a9fa23cdf36636a29552652d1a04a23fd2d6
DIST Nuitka-1.1.5.tar.gz 3920916 BLAKE2B 7352009df91e39c63073e8230065af990c86d07cf51752ceaf234e4e8b5814d085ee7423440dc5bb8ca63341f7e1eccdbd41631711ebcfac481bcb3645c011f2 SHA512 ef88b98341cb930529d6e31bb487cf3bb8c217dd9b8a8b50c8e5b147f0b4879a17f2d6c7621a056ad3f1ffd15ac88781445bc0dc8dc164a38aea83b43a6bf3c7
+DIST Nuitka-1.1.6.tar.gz 3923364 BLAKE2B 680496486121ff17bb8bded93ea3be79c65cc7d1eb8352a29699e3f0c9f6cec75c83f1018b58f837dc181668cb3d5f7574f8c6ded80d9727c396d5caad2896a2 SHA512 8bdf4ed2bf15ff0d5ab88f3df151c219822a718d7c5244075ffef1822467861030875fa508eb861825fab030232f041f0baf7e719eba0f82ae1d9ace224eb749
diff --git a/dev-python/nuitka/nuitka-1.1.4.ebuild b/dev-python/nuitka/nuitka-1.1.4.ebuild
deleted file mode 100644
index d0ee11a36016..000000000000
--- a/dev-python/nuitka/nuitka-1.1.4.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1 flag-o-matic optfeature
-
-DESCRIPTION="Python to native compiler"
-HOMEPAGE="
- https://www.nuitka.net/
- https://github.com/Nuitka/Nuitka/
- https://pypi.org/project/Nuitka/
-"
-SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
-S=${WORKDIR}/${P^}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~loong ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-util/scons[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? ( dev-util/ccache )
-"
-
-DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
-
-distutils-r1_src_prepare() {
- # remove vendored version of SCons that is Python2 only
- # this should be removed when upstream removes support for Python2
- rm -vR "${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
- eapply_user
-}
-
-python_install() {
- distutils-r1_python_install
- doman doc/nuitka3.1 doc/nuitka3-run.1
-}
-
-python_test() {
- append-ldflags -Wl,--no-warn-search-mismatch
- ./tests/basics/run_all.py search || die
-}
-
-pkg_postinst() {
- optfeature "support for stand-alone executables" app-admin/chrpath
-}
diff --git a/dev-python/nuitka/nuitka-1.1.3.ebuild b/dev-python/nuitka/nuitka-1.1.6.ebuild
index d0ee11a36016..d0ee11a36016 100644
--- a/dev-python/nuitka/nuitka-1.1.3.ebuild
+++ b/dev-python/nuitka/nuitka-1.1.6.ebuild
diff --git a/dev-python/openstackdocstheme/Manifest b/dev-python/openstackdocstheme/Manifest
index bd5e3eb8b40e..004609d68320 100644
--- a/dev-python/openstackdocstheme/Manifest
+++ b/dev-python/openstackdocstheme/Manifest
@@ -1 +1,2 @@
DIST openstackdocstheme-3.0.0.tar.gz 1256011 BLAKE2B ad00a9e5dc0902d99bd47ffbd7cd2cf7900a45f880744293871a869d03dfa449a91402e3eb50071e35c60d78c7858787fa3ae234f96e19f34cc40a2022069ec5 SHA512 0e4c5ca3f43e701692bb56d4e0823b52c55c49e9b4144d3920830903e178522f414930c0a253be415cd6d08534205f2d8e8fac107513bc32d1f667e8559a8c2f
+DIST openstackdocstheme-3.0.1.tar.gz 1256111 BLAKE2B c0a1a68e8e0e423bc704503dc2214d9cb51aa236daf39ba6788ef95240c25c05d1bd8b7ce2cb3d7c7290e574f3c78b276a28afe5a92645dce6f1b3ad54109158 SHA512 3643e5fc7a6e7090e766d8e0c71f6f3dfe32ac2529b3f70a7b0e825765be92dad58a2f399d8993716c9c87f0781a117b602f090abc0f3905e0586a26c87fe449
diff --git a/dev-python/openstackdocstheme/openstackdocstheme-3.0.1.ebuild b/dev-python/openstackdocstheme/openstackdocstheme-3.0.1.ebuild
new file mode 100644
index 000000000000..fcfad168e2b8
--- /dev/null
+++ b/dev-python/openstackdocstheme/openstackdocstheme-3.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Theme and extension support for Sphinx documentation"
+HOMEPAGE="
+ https://docs.openstack.org/openstackdocstheme/latest/
+ https://opendev.org/openstack/openstackdocstheme/
+ https://github.com/openstack/openstackdocstheme/
+ https://pypi.org/project/openstackdocstheme/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~s390 ~x86"
+
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pbr/Manifest b/dev-python/pbr/Manifest
index 5ad0f418ca6d..312483417e10 100644
--- a/dev-python/pbr/Manifest
+++ b/dev-python/pbr/Manifest
@@ -1 +1,2 @@
DIST pbr-5.10.0.tar.gz 127122 BLAKE2B 45a254629c2d1e73ce500edb5ba05f165dfaa9987bd62500490cdcceed11708878bc82441f218cf2f5a38b50301a2bcd0aabd0a5e5810346586d8d6463162ba9 SHA512 a5f4393407a17f4de5977483f3c7fa651780b9b9069a0a1898a5b511742262dfb06f891cfcb632c5b64ecfd041188095ceb880c6e71c99c81f0eace59e4e1976
+DIST pbr-5.11.0.tar.gz 127505 BLAKE2B 201fcd04ded1f909f4792886ddf79a5a764318645ff6b6245543cde2940d502ab711820cb6e999894a339df933e43e6a8394bd8ec1e978d930710a3085b131fd SHA512 bdb442e8ef7bda90a65c5fb7f0696041808278fcc643eb0c15d5401b7da7d64cd3566018b1046145f55bc5683791ee182bec92461801004b02a35b8bf4c5abf0
diff --git a/dev-python/pbr/pbr-5.11.0.ebuild b/dev-python/pbr/pbr-5.11.0.ebuild
new file mode 100644
index 000000000000..74fc9b065036
--- /dev/null
+++ b/dev-python/pbr/pbr-5.11.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{7,8,9,10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Inject some useful and sensible default behaviors into setuptools"
+HOMEPAGE="
+ https://opendev.org/openstack/pbr/
+ https://github.com/openstack/pbr/
+ https://pypi.org/project/pbr/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/setuptools-60.5.0[${PYTHON_USEDEP}]
+"
+# git is needed for tests, see https://bugs.launchpad.net/pbr/+bug/1326682 and https://bugs.gentoo.org/show_bug.cgi?id=561038
+# docutils is needed for sphinx exceptions... https://bugs.gentoo.org/show_bug.cgi?id=603848
+# stestr is run as external tool
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.3[${PYTHON_USEDEP}]
+ dev-vcs/git
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # TODO: investigate
+ sed -e 's:test_console_script_develop:_&:' \
+ -e 's:test_console_script_install:_&:' \
+ -e 's:test_setup_py_keywords:_&:' \
+ -i pbr/tests/test_core.py || die
+ # network
+ rm pbr/tests/test_wsgi.py || die
+ # installs random packages via pip from the Internet
+ sed -e 's:test_requirement_parsing:_&:' \
+ -e 's:test_pep_517_support:_&:' \
+ -i pbr/tests/test_packaging.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Testing on ${EPYTHON} is not supported at the moment"
+ return
+ fi
+
+ eunittest -b
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index afe3953d8f09..746301f54a23 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -2,3 +2,4 @@ DIST pikepdf-5.6.1.gh.tar.gz 2905150 BLAKE2B 35c06251debb935b88f13e27f42f80b3627
DIST pikepdf-6.0.2.gh.tar.gz 2905158 BLAKE2B b80bee6690513ebd43b590ec5addb40f81a31b27adab77e04f0fd521e0a23a5bc974c6026163f1c9faf23f0d9e2b004961d93a19fab20a43bdf27b0a69597413 SHA512 8c1213535d503f388de6845d28f430947630717f8c299e6a384204de38e2f5f1a5858a0307abd5a34a2f4d79787bdab0e1be286a99ce91b64fc0fcf3f3553d89
DIST pikepdf-6.1.0.gh.tar.gz 2905226 BLAKE2B efa6ce6d75e36885f6b59eb01a869c50ba4eddae4d7c10bdfb13d1c8162a6f21a51d4b4fa3d3d0d80180d72c558a245aadf4fa372993efcdf735c5a4a7a64a35 SHA512 75349634a97fed40dc8f86ad58c4e45cccf3e6e78818d473894c6bc52a3a5584f4f705836fab038e8256b44b7d02801d3e7202488366b8ba298972fa6f0ef809
DIST pikepdf-6.2.0.gh.tar.gz 2905445 BLAKE2B 07a6ade367c438ab5df885827d7610e998252d1c8784b1f81d377c2d3ac897a812802a6ed1b8e84cedeb6fc8394e2e77116e2628c31ae06d3b08a8ca6957b25f SHA512 3287ed2203b8dc1c2f5281a45612cfda3107576413d4579984b9e7f6a5bcdbb795bf09559b4ca8a4fe5d7f70d94f5c404b4e3f6422bdfde4b8fd48830c1e280d
+DIST pikepdf-6.2.1.gh.tar.gz 2905482 BLAKE2B 9a5b2c7a1b23f4156b89b44780e98f2a82582c05221c0ec2ead3490f3a14a6fa34caea000fb34c0df1458d8aac019bbb0bce10bbbf8bba0c159639b3129e597c SHA512 f6888dcd42c18377f69aa71fce92aa752b73f369e2db4afc106b2b345556a3a9efbb007101066d562f44cfed0bb5816ae0a6cd998b1d634555bf27fbe94baddf
diff --git a/dev-python/pikepdf/pikepdf-6.2.1.ebuild b/dev-python/pikepdf/pikepdf-6.2.1.ebuild
new file mode 100644
index 000000000000..8a72567b7f1c
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-6.2.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=app-text/qpdf-11.1.1:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecation[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-7.0.5[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/-n auto/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyjwt/Manifest b/dev-python/pyjwt/Manifest
index 04e2bd2ec591..ace193712d1e 100644
--- a/dev-python/pyjwt/Manifest
+++ b/dev-python/pyjwt/Manifest
@@ -1,2 +1,3 @@
DIST PyJWT-2.4.0.tar.gz 66327 BLAKE2B bc78ceebe3fedd4216420c34034de96dc6af488b4b50d20a03073753cfe94d059cda3e118f79cc3718253f56bb977b5b86543d1cd1ab7346a4095d0c2c6855b2 SHA512 6c60afe62f9341c0fd889be227cd9e44260bc88696a93d0c3398547e159001f04e402d207d2230641f0f3d37cfd7e6f9e50a42dadfb011d7087c32a864c792a4
DIST PyJWT-2.5.0.tar.gz 72538 BLAKE2B 1ad7aff8d1e37a86fb70be9661fad4f0b8ac515e592b78761b89c7b53230ddf8042ad3b6841676026124b01167caa8303481c6a0a301e2bff4e2beab2245312f SHA512 8a638880a25e3dd3b0284deddbbd20df59cfd13693f1228dd00d37579a7d4b70faaa3c4c0a13dfcffac3b5894a10f50187383e393659b7b2aa438dd5ba4b496b
+DIST PyJWT-2.6.0.tar.gz 72984 BLAKE2B d8e9cc85ec80ca8f0414b88bb4bfa4aa93c973e5f3e015dee9433371d8b3c9ba5d701df16073bbacbaca9c9433f8a69259623f2f4e70843dbdf520d4248bb3f3 SHA512 c2f797bbb84469db1332bad61807740d859d0e1fa500ba17981d6c1a7a30a6fab345ff241200e24ce1ffe686591642a858e5eb2e9462fa1ceda7fcd00ae55d30
diff --git a/dev-python/pyjwt/pyjwt-2.6.0.ebuild b/dev-python/pyjwt/pyjwt-2.6.0.ebuild
new file mode 100644
index 000000000000..363723b391a9
--- /dev/null
+++ b/dev-python/pyjwt/pyjwt-2.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 optfeature
+
+MY_PN="PyJWT"
+DESCRIPTION="JSON Web Token implementation in Python"
+HOMEPAGE="
+ https://github.com/jpadilla/pyjwt/
+ https://pypi.org/project/PyJWT/
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S=${WORKDIR}/${MY_PN}-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ !dev-python/python-jwt
+"
+BDEPEND="
+ test? (
+ >=dev-python/cryptography-3.4.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "cryptography" dev-python/cryptography
+}
diff --git a/dev-python/pytest-httpx/Manifest b/dev-python/pytest-httpx/Manifest
index 65a8873eb2cc..1bd9665e993c 100644
--- a/dev-python/pytest-httpx/Manifest
+++ b/dev-python/pytest-httpx/Manifest
@@ -1 +1,2 @@
DIST pytest-httpx-0.21.0.gh.tar.gz 23123 BLAKE2B a9a1bc9effc557829071f13cec76aa1d164ae7040b685390c92f33c644c804448eba1ad3e841abdb667a2c0289abd64f5d3633779bd8b0355a1c03d390d94bd5 SHA512 6be6fb39ad1ef233ce9be7cf510422754b6c97a1b565d49224e82cbe4218ee24051b6c5865215ed575f200446dfe8dd1470908467c67077c51a4f5412b113c2a
+DIST pytest-httpx-0.21.1.gh.tar.gz 23997 BLAKE2B feba932cd8a4e7e36cbf98a5c07f8e3264c9f95568568dd4ec4b882a509a4feafd740d3c25a547b7ea28f7e5450083a5f5f7afde0b19bfe46f7999b01565fbe3 SHA512 22cd471996202c78c3d3b433f8ed525e0282df431f0923cfbce42fd543b56a2af20723062773a1a3e3f406a0ce6aa6eed27faaa76731472a903cdad6fb13f771
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.21.1.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.21.1.ebuild
new file mode 100644
index 000000000000..f5f8e12f8da7
--- /dev/null
+++ b/dev-python/pytest-httpx/pytest-httpx-0.21.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/_}"
+DESCRIPTION="Send responses to HTTPX using pytest"
+HOMEPAGE="
+ https://colin-b.github.io/pytest_httpx/
+ https://github.com/Colin-b/pytest_httpx/
+ https://pypi.org/project/pytest-httpx/
+"
+SRC_URI="
+ https://github.com/Colin-b/pytest_httpx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-python/httpx-0.23*[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
index a6f36eba71a1..63506ce1e5bd 100644
--- a/dev-python/scipy/Manifest
+++ b/dev-python/scipy/Manifest
@@ -1,5 +1,6 @@
DIST scipy-1.8.1.tar.gz 38196215 BLAKE2B 180ae646adba2031a4bf99cd4feefe652b8e340110b3b2872e61aa1083054aadf369c7e3b3e3fd8fb71fcd831c95841d2dadd1c71e35e5f7d95800e5551173f0 SHA512 f6fc71c209991fe82baa4b10d8ade0deb1057f6f5942a91dfb7ae45f3eb78a4535efa2861badf5e2d37239fa99dbd99de760aa7e4854b95991ade0263004e7ea
DIST scipy-1.9.1.tar.gz 42019478 BLAKE2B aa7f9e8f354d2c73cfeb0e349562279ec323e6c16641c82c47080108d21f385acb1431c1f072e454a043f56e8fd708778fc34c0eddaceedca979f40b6b11e358 SHA512 1378a24c59b66e2818929acd015fe5408cdd57926d96b7b909d5eb7e2bb6bae942e8fe802f107c8b0901af9873b8e24461624ca0917867e24bb50c7d28e09e71
DIST scipy-1.9.2.tar.gz 42068300 BLAKE2B 0962115990a12339d8b87eabbee02d52a52e57259fbe2e74884fa2f08d66d8b7505f84561f643b539603bc8bf4ef3bf73c3d908453fbb0c99f732c3a81f8a328 SHA512 5f8667aa66aa0b5fad689d960f742874ce09f830bfd5aa241917526f153fbc09c7f709bc84113f83283fcbb8a47113eb215478d9c3473f76d8f7dbf0989429a2
+DIST scipy-1.9.3.tar.gz 42075414 BLAKE2B f19e829d26a5673cccb69bce43a9142637f42a9ec462a3fd2ea44b62564cff6fb27a4deaccc59e0e738cc0c997b0a7de948bf9f2db6fa7896323405a072e0111 SHA512 119f9a5e1ce3b4268ba38a0eb82dff78837593d9a5c5e464663925a4b3b1de060201fe568236e19ed0996a045754333c580e181c4cdec2cc707e57060f59364e
DIST scipy-html-1.8.1.zip 37060661 BLAKE2B 2fa617c58eb47463f8a61f9798b32c6da255d26b8e86c1558e427a715093f5a29ced3847ab6ecfe88ce1017664f36ac3e9fa9bbf72ede7e0fd3812b5f41fe933 SHA512 95153dc1f404aa64898a700c94c0deea3ca842c3152167d0987edabcf4a8eba16b6c8e6bc38a6775a849dc621e6a21434baf53d1669b1865fa5049cffa4387ac
DIST scipy-ref-1.8.1.pdf 35025868 BLAKE2B 9221755d2dc69b8623271f75ff3078a0a4410fe9ff69ee317b40bf145af7da21a7f5f4b6b67820d8bb2878f83b7014f1ea7c2f0e026afb716da0479d394505e2 SHA512 8f27dcb9dd1030e15266389af21a1475ecfec5ea777fb2dbcf8db8d3398ac6e45c7040b8d6dbaffd29be3920925427be7c55efdc8094d670c857edfdab7f7728
diff --git a/dev-python/scipy/scipy-1.9.3.ebuild b/dev-python/scipy/scipy-1.9.3.ebuild
new file mode 100644
index 000000000000..f84fc8e54122
--- /dev/null
+++ b/dev-python/scipy/scipy-1.9.3.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 multiprocessing
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="
+ https://scipy.org/
+ https://github.com/scipy/scipy/
+ https://pypi.org/project/scipy/
+"
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+
+ # Need submodules, so git for now.
+ EGIT_REPO_URI="https://github.com/scipy/scipy"
+ EGIT_BRANCH="maintenance/$(ver_cut 1-2).x"
+ EGIT_SUBMODULES=( '*' )
+else
+ # Upstream is often behind with doc updates
+ DOC_PV=1.8.1
+ MY_PV=${PV/_rc/rc}
+ MY_P=${PN}-${MY_PV}
+
+ SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${DOC_PV}.pdf
+ )"
+ S="${WORKDIR}"/${MY_P}
+
+ if [[ ${PV} != *rc* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ppc ~ppc64 ~riscv ~s390 ~x86"
+ fi
+fi
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+IUSE="doc +pythran"
+
+# umfpack is technically optional but it's preferred to have it available.
+DEPEND="
+ >=dev-python/numpy-1.18.5[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:=
+ sci-libs/umfpack
+ virtual/cblas
+ >=virtual/lapack-3.8
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-lang/swig
+ >=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-util/meson-0.62.2
+ dev-util/patchelf
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ pythran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest-xdist[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.9.9999-meson-options-lapack.patch
+)
+
+EPYTEST_DESELECT=(
+ linalg/tests/test_decomp.py::TestSchur::test_sort
+ linalg/tests/test_solvers.py::test_solve_discrete_are
+)
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+src_configure() {
+ export SCIPY_USE_PYTHRAN=$(usex pythran 1 0)
+}
+
+python_test() {
+ cd "${T}" || die
+
+ epytest -n "$(makeopts_jobs)" --pyargs scipy
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-ref-${DOC_PV}.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/stevedore/Manifest b/dev-python/stevedore/Manifest
index 7162dd8cf57d..b1e3046893d1 100644
--- a/dev-python/stevedore/Manifest
+++ b/dev-python/stevedore/Manifest
@@ -1,2 +1,4 @@
DIST stevedore-4.0.0.tar.gz 513561 BLAKE2B 7d82b001546c49d4a9fd7891751b2ed35f6b798bbe5efbadb1017472008cf0e32bd148311d100ac062ca45ee8c823ffc394842f4a9d2296262e2587c021e20b7 SHA512 584421b0fd8f9f45f7f6fa960a98817ae85c2a7938b0ea49c0906b6b88ae8111d3ac3cc8eb61e9e45dea494d976fad8074e51b8550d870bfca82704b7c8900fc
DIST stevedore-4.0.1.tar.gz 514044 BLAKE2B 843af8c8e393932e3db40e467c3957a839e0416c12bfb23c353075b838489a4b58a0a896ee269beeed108370054f0f93724a020f0f2102ae6e758a771a6aeaf0 SHA512 2c1c95a023c598a228d3786b681db2e803dc0c39884fdc910ab4bba75e7237081bfbe0ce1bbc847aecdda7b5e43bf165f0c03599717153bda37a52d0e35b7bac
+DIST stevedore-4.0.2.tar.gz 514088 BLAKE2B a07d48129fec62838af5ce920ef1eeb0cacb09ca4ee20bb5e44ba24a475957a771c72fdec6893f9b26df54e88387ec2f27b1dceaa8d8f41c291e68b1d9bfd059 SHA512 1cb14220e8bf8520af412670982b180bfbf1be3147cbd0359fc543bb6cb6113e292c87f492eb08756d29f16bdc49a48a03b280a8343bb620c78ae882efe6407b
+DIST stevedore-4.1.0.tar.gz 514078 BLAKE2B 503b79324fcbbf5d9b911eb999ac6e52eb76f0b0704e60c76a02a3843259bff082d9eaebc7e559d800c1011d18c2ef1f3cfb78501fddd38e4246cf2f86109650 SHA512 048360265539b880fe77af5214d4e27661ab0e9972317a7e4fa51e599aa67f525ad5227c921e4c3410c8a39baa80259a42417b8772def0e3b8b58d618a0adbeb
diff --git a/dev-python/stevedore/stevedore-4.0.2.ebuild b/dev-python/stevedore/stevedore-4.0.2.ebuild
new file mode 100644
index 000000000000..b8aac597ac05
--- /dev/null
+++ b/dev-python/stevedore/stevedore-4.0.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+ https://opendev.org/openstack/stevedore/
+ https://github.com/openstack/stevedore/
+ https://pypi.org/project/stevedore/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx 'doc/source' \
+ '>=dev-python/openstackdocstheme-1.18.1' \
+ '>=dev-python/reno-2.5.0' \
+ '>=dev-python/sphinx-2.0.0'
+
+python_prepare_all() {
+ # Delete spurious data in requirements.txt
+ sed -e '/^pbr/d' -i requirements.txt || die
+
+ # Also known problem, inside venv
+ sed -i -e 's:test_disable_caching_file:_&:' \
+ stevedore/tests/test_cache.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/stevedore/stevedore-4.1.0.ebuild b/dev-python/stevedore/stevedore-4.1.0.ebuild
new file mode 100644
index 000000000000..b8aac597ac05
--- /dev/null
+++ b/dev-python/stevedore/stevedore-4.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+ https://opendev.org/openstack/stevedore/
+ https://github.com/openstack/stevedore/
+ https://pypi.org/project/stevedore/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx 'doc/source' \
+ '>=dev-python/openstackdocstheme-1.18.1' \
+ '>=dev-python/reno-2.5.0' \
+ '>=dev-python/sphinx-2.0.0'
+
+python_prepare_all() {
+ # Delete spurious data in requirements.txt
+ sed -e '/^pbr/d' -i requirements.txt || die
+
+ # Also known problem, inside venv
+ sed -i -e 's:test_disable_caching_file:_&:' \
+ stevedore/tests/test_cache.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/swagger-spec-validator/Manifest b/dev-python/swagger-spec-validator/Manifest
deleted file mode 100644
index a3c7fb29afbc..000000000000
--- a/dev-python/swagger-spec-validator/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST swagger-spec-validator-2.7.4.gh.tar.gz 47446 BLAKE2B d284bede24477cfc942d094937cec12224535902383779c223899ab7b359ea45427777ebc8d5f264a76696eae6746b619d35824090ae2f87c6acda4ef040b293 SHA512 d65c060f4730413280a188b01cf62d0f2d77fa04461bb60f2711d1806be2e7b8de16c23d952440a838f57acd50294a16114d34eeee988902fb90c099404c7942
-DIST swagger-spec-validator-2.7.5.gh.tar.gz 47455 BLAKE2B cc061be216bf5bdd6ea21f9053e6784e99704dcad06f900d9ed0910737db7e10c241648624f68271f414d75d53323a850648794887f7f656e1a61ec9727df86a SHA512 0307522f660b16441052d2d3744b8fd81d69b99954e57e99630142c554405a4011df928b853b7dde21733bbec6b12771c89c477055b5d97ff91d3c8694594b8e
-DIST swagger-spec-validator-2.7.6.gh.tar.gz 47434 BLAKE2B 796ce995d143292aa351608e24d9a62ca961f32cacf76e1615fabc58b10730783b12f3383ea392d9a8313ac89ee9b6118bcbfa3353e6ba316bcb3b64675829fe SHA512 48f7e7bf40444628aae383cc92631985c905e99d427f4bbef4ed96e231412506733004b234922d6c4d81e36bacb3ee1105dd7dd11db53852bacb97dc4d1dde04
diff --git a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.4.ebuild b/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.4.ebuild
deleted file mode 100644
index e28a1eccd5e9..000000000000
--- a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.4.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="validate Swagger specs against Swagger 1.1 or 2.0 specification"
-HOMEPAGE="https://github.com/Yelp/swagger_spec_validator"
-SRC_URI="
- https://github.com/Yelp/swagger_spec_validator/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/${PN//-/_}-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs/source \
- dev-python/sphinx_rtd_theme
diff --git a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.5.ebuild b/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.5.ebuild
deleted file mode 100644
index 906522955a57..000000000000
--- a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.5.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="validate Swagger specs against Swagger 1.1 or 2.0 specification"
-HOMEPAGE="https://github.com/Yelp/swagger_spec_validator"
-SRC_URI="
- https://github.com/Yelp/swagger_spec_validator/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/${PN//-/_}-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs/source \
- dev-python/sphinx_rtd_theme
diff --git a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.6.ebuild b/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.6.ebuild
deleted file mode 100644
index 906522955a57..000000000000
--- a/dev-python/swagger-spec-validator/swagger-spec-validator-2.7.6.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="validate Swagger specs against Swagger 1.1 or 2.0 specification"
-HOMEPAGE="https://github.com/Yelp/swagger_spec_validator"
-SRC_URI="
- https://github.com/Yelp/swagger_spec_validator/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/${PN//-/_}-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs/source \
- dev-python/sphinx_rtd_theme
diff --git a/dev-python/swagger_spec_validator/Manifest b/dev-python/swagger_spec_validator/Manifest
new file mode 100644
index 000000000000..46abc67b5960
--- /dev/null
+++ b/dev-python/swagger_spec_validator/Manifest
@@ -0,0 +1 @@
+DIST swagger_spec_validator-3.0.1.gh.tar.gz 48112 BLAKE2B 9489c5b58667e80c8d5971d7bad3e14947f8facf51bd2db4fbbc810cca89039598f49fe9d00caec6d630aaec795c5854e6b71d53d882d23245401a145bba3dde SHA512 fb0fba69209a416ce781f2842f711864fe552c450163131db9e5e8e2eb99f2530ca64157bfcfbcee87ea998fe6dca2b92535a18c1d3fc219b81e99dc62236c07
diff --git a/dev-python/swagger-spec-validator/metadata.xml b/dev-python/swagger_spec_validator/metadata.xml
index f0609a5259d1..ea8988e8af6a 100644
--- a/dev-python/swagger-spec-validator/metadata.xml
+++ b/dev-python/swagger_spec_validator/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
diff --git a/dev-python/swagger_spec_validator/swagger_spec_validator-3.0.1.ebuild b/dev-python/swagger_spec_validator/swagger_spec_validator-3.0.1.ebuild
new file mode 100644
index 000000000000..3ef97cb085fa
--- /dev/null
+++ b/dev-python/swagger_spec_validator/swagger_spec_validator-3.0.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Validate Swagger specs against Swagger 1.1 or 2.0 specification"
+HOMEPAGE="
+ https://github.com/Yelp/swagger_spec_validator/
+ https://pypi.org/project/swagger-spec-validator/
+"
+SRC_URI="
+ https://github.com/Yelp/swagger_spec_validator/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx_rtd_theme
+
+EPYTEST_DESELECT=(
+ # network (resolver)
+ tests/util/validate_spec_url_test.py::test_raise_SwaggerValidationError_on_urlopen_error
+ tests/validator12/validate_spec_url_test.py::test_raise_SwaggerValidationError_on_urlopen_error
+ tests/validator20/validate_spec_url_test.py::test_raise_SwaggerValidationError_on_urlopen_error
+)
diff --git a/dev-python/uvicorn/Manifest b/dev-python/uvicorn/Manifest
index cc80b5aee3df..dbcd194a0e51 100644
--- a/dev-python/uvicorn/Manifest
+++ b/dev-python/uvicorn/Manifest
@@ -1,2 +1,3 @@
DIST uvicorn-0.17.6.tar.gz 708048 BLAKE2B 83b06907c8109b38e13930d8b73584682fa4e34fe7e51fe14b6ca1ddc7ef8122d950a09e31cb364a02f5f12eead5d0522b41cbf428509c6900604d4e2776dfb2 SHA512 d5c5223759d59648f279e22f7e6af728fe8117ed75488d125c1db3e5e9d385a50d574cff72ac46db4eb0a78d0e4f690096cfe78c774674dfba61860e55b7494e
DIST uvicorn-0.18.3.gh.tar.gz 713216 BLAKE2B ba1fb1f2241fa3c23bc4115d335ef1c176937e8af5e33ae7d1e615271c94bc330ef5cb21d6bedd697ecb2a38798758ea47d5523ea6ee45295cf447e81503ff05 SHA512 a4983e7095f3596ac54557432a074eb8cae4c6dd579fabfe8b6c34606ba8258e6c0684c2e34e8019f2455fbfd1771f8c2c88bf8b01fc505abfae93655f61f032
+DIST uvicorn-0.19.0.gh.tar.gz 713679 BLAKE2B ee83cd7d318b0e54bd2dc240b5bfe3874ef41933ba7e2376e8dd3bdce90387b3d253c02c16ef28bbb54435b2e666309769cd057fe703d4be498f3c0ef19532c0 SHA512 d030a0c5e61b5bec985fa1640a74bf5da1dfa1a48d0b3f758096eaff2e3bf1d1b3bee1c3a024f5960cafbf928e9ee94e285a8c24404e1c4b6b6aa29f0d4cb15a
diff --git a/dev-python/uvicorn/uvicorn-0.19.0.ebuild b/dev-python/uvicorn/uvicorn-0.19.0.ebuild
new file mode 100644
index 000000000000..4f7242c3fd11
--- /dev/null
+++ b/dev-python/uvicorn/uvicorn-0.19.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Lightning-fast ASGI server implementation"
+HOMEPAGE="https://www.uvicorn.org/"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ >=dev-python/websockets-10.0[${PYTHON_USEDEP}]
+ dev-python/wsproto[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # too long path for unix socket
+ tests/test_config.py::test_bind_unix_socket_works_with_reload_or_workers
+ # need unpackaged httptools
+ "tests/middleware/test_logging.py::test_trace_logging_on_http_protocol[httptools]"
+ tests/protocols/test_http.py::test_fragmentation
+ )
+
+ local EPYTEST_IGNORE=()
+ # love from Rust world
+ if ! has_version "dev-python/watchfiles[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/supervisors/test_reload.py
+ )
+ fi
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "auto reload on file changes" dev-python/watchfiles
+}
diff --git a/dev-python/watchfiles/Manifest b/dev-python/watchfiles/Manifest
index 48d8d85f19fc..fbf6ac98e6b4 100644
--- a/dev-python/watchfiles/Manifest
+++ b/dev-python/watchfiles/Manifest
@@ -39,6 +39,7 @@ DIST unindent-0.1.8.crate 8326 BLAKE2B 3123c6b540b152d89cc7a9a76ff1315549f973c6a
DIST walkdir-2.3.2.crate 23516 BLAKE2B 473f2b51aafd6ac17e5c3da8d545d179b31486b3a65ab39fbd8bd7fbb2ebcc24bebf01781200a26a68f0b1cb464f5763a919aead3b03eba5a7e1be6efec5500b SHA512 6c44071354faf37720ec4117ded34c8d530489542ee107ac26a7a56ef4a882b9003e22e84f1d61f6078643521343e35aa1f7b57c838779e78e5937a667bf82da
DIST wasi-0.11.0+wasi-snapshot-preview1.crate 28131 BLAKE2B fe501889f25d65e2d032f885cc50c4f8bf7dd70fd5cbc438de349838370d8699e9627b0a4fc76030ea9fe6d508f41d0c9928a875fdbc47e73bfb17241cf7b155 SHA512 043500ab28cd9cb779475255da5d109ebab7fccca72b64873dc28d77bc5a157ba8d96b9e8f05223b5b36c7089bb7b4ba87657fc69bac16b78972f897294a865f
DIST watchfiles-0.17.0.gh.tar.gz 42487 BLAKE2B 9e50c1d2bea174754c393090a5ff07a92067af76ca17d1c4a058e27a082fec8347dd42e23178a319f8644f87f800174acf3f0db72dd35becdbb21d3ef425df5c SHA512 db39bf6c56d0af93807665aef8d96ed4331ff8a9d2a24ddd2b489ab5501ca3f5b33bd5cfbde2a33089622247d8b7f5ec91566f911ca564b812537b02be3ed2b2
+DIST watchfiles-0.18.0.gh.tar.gz 43563 BLAKE2B e8af967ee9499571d2f8a597ab2174b1be5d2e4c3cd61a63a5c02eb5614846084e446f2759534e9b35c0dfe2bf18992ef6aaccec009f7c57692c8b3b3014a1a4 SHA512 1cccf458ffa643a675e2e257e5074275e5f9c533743957bd7b58b3576ac47cca849e9ef219e40c9eccb854a6b8331bd3afa43bee8cf27b95ea6a4c2dbbaa97c0
DIST winapi-0.3.9.crate 1200382 BLAKE2B cb5799749ccd935ea2d7068d953cecf19f543d9db7dc16ad4584bb7005373ada34937a3ced7225544d8bc765da599911c7a3190efefb3a25b7c1bb7123b4f673 SHA512 ff8b7b78065f3d8999ec03c725a0460ebc059771bf071c7a3df3f0ecd733edf3b0a2450024d4e24e1aedddaecd9038ce1376c0d8bbf45132068cf45cf4a53a97
DIST winapi-i686-pc-windows-gnu-0.4.0.crate 2918815 BLAKE2B 4d357e4d30f9552972170d65b9a5358b69c46a3e772fe05efc22f3d4ffc1caeeaad7aacdc7abd503a7ad0545f8bd7d22bf351dcb6df76f812fa4d45c34d65df0 SHA512 a672ccefd0730a8166fef1d4e39f9034d9ae426a3f5e28d1f4169fa5c5790767693f281d890e7804773b34acdb0ae1febac33cde8c50c0044a5a6152c7209ec2
DIST winapi-util-0.1.5.crate 10164 BLAKE2B fc800aceae5249a858c806c3e969ef2545766099872d856ebee51c883d9acf1122278db9607d50ca53eac351502b700fd2463900932d342240f97f683d517963 SHA512 7baeb661f397c4693dfa001fdc774b323c51a7c55caad40f2de5112a1cefd1d6151e3df41fa4ee193460a5905917c83d2b1de5fa10b4bd014ad96690af95c0fd
diff --git a/dev-python/watchfiles/watchfiles-0.18.0.ebuild b/dev-python/watchfiles/watchfiles-0.18.0.ebuild
new file mode 100644
index 000000000000..7b2bb26de4ce
--- /dev/null
+++ b/dev-python/watchfiles/watchfiles-0.18.0.ebuild
@@ -0,0 +1,109 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+CRATES="
+ autocfg-1.1.0
+ bitflags-1.3.2
+ cfg-if-1.0.0
+ crossbeam-channel-0.5.4
+ crossbeam-utils-0.8.8
+ filetime-0.2.16
+ fsevent-sys-4.1.0
+ indoc-1.0.4
+ inotify-0.9.6
+ inotify-sys-0.1.5
+ kqueue-1.0.5
+ kqueue-sys-1.0.3
+ lazy_static-1.4.0
+ libc-0.2.124
+ lock_api-0.4.7
+ log-0.4.16
+ mio-0.8.2
+ miow-0.3.7
+ notify-5.0.0
+ ntapi-0.3.7
+ once_cell-1.10.0
+ parking_lot-0.12.0
+ parking_lot_core-0.9.2
+ proc-macro2-1.0.37
+ pyo3-0.16.4
+ pyo3-build-config-0.16.4
+ pyo3-ffi-0.16.4
+ pyo3-macros-0.16.4
+ pyo3-macros-backend-0.16.4
+ quote-1.0.18
+ redox_syscall-0.2.13
+ same-file-1.0.6
+ scopeguard-1.1.0
+ smallvec-1.8.0
+ syn-1.0.91
+ target-lexicon-0.12.3
+ unicode-xid-0.2.2
+ unindent-0.1.8
+ walkdir-2.3.2
+ wasi-0.11.0+wasi-snapshot-preview1
+ winapi-0.3.9
+ winapi-i686-pc-windows-gnu-0.4.0
+ winapi-util-0.1.5
+ winapi-x86_64-pc-windows-gnu-0.4.0
+ windows-sys-0.34.0
+ windows_aarch64_msvc-0.34.0
+ windows_i686_gnu-0.34.0
+ windows_i686_msvc-0.34.0
+ windows_x86_64_gnu-0.34.0
+ windows_x86_64_msvc-0.34.0
+"
+
+inherit cargo distutils-r1
+
+DESCRIPTION="Simple, modern file watching and code reload in Python"
+HOMEPAGE="
+ https://pypi.org/project/watchfiles/
+ https://github.com/samuelcolvin/watchfiles/
+"
+SRC_URI="
+ https://github.com/samuelcolvin/watchfiles/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ $(cargo_crate_uris ${CRATES})
+"
+
+LICENSE="MIT"
+# crates
+LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions Artistic-2 BSD"
+LICENSE+=" CC0-1.0 ISC MIT Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ =dev-python/anyio-3*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-rust[${PYTHON_USEDEP}]
+ test? (
+ dev-python/dirty-equals[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+# enjoy Rust
+QA_FLAGS_IGNORED=".*/_rust_notify.*"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # fix version number
+ sed -i -e "/^version/s:0\.0\.0:${PV}:" Cargo.toml || die
+}
+
+python_test() {
+ rm -rf watchfiles || die
+ epytest
+}
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index bab8a6bcd511..cb2b72dd3708 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.37.1.gh.tar.gz 68751 BLAKE2B 55919649f82668565d3b5907d14d0758984bb7d29d8857807ad034288ed8c9e8660957dc16f418f18408e89a97cf0d3c30df874a17f56deb56918388b18246a7 SHA512 9493db2f29e16d17ca06a4d47854b3df5dfd17f21c77efd42befd54470858256fd59f56aa9585cbf0a09830927b657d546324f793e1b1153665bf0b74d0c0457
+DIST wheel-0.38.0.gh.tar.gz 68696 BLAKE2B 38dbc8ba7cf67d202c6c98b277e590b3b31b46b698f59f988af1710e9fa6e5d2125378029475060cf3142cd9666bb318005619d085ea2e8b501bb10cd9694fe3 SHA512 0ffdf531c03d1f0866632002b163fdf8642b613604e74d1cfa5844e8c327946baf303bc0410fc7ec034f8a79cb4ad59536dfdaaa5cc8fa23a3b7d21faf5e6161
diff --git a/dev-python/wheel/wheel-0.38.0.ebuild b/dev-python/wheel/wheel-0.38.0.ebuild
new file mode 100644
index 000000000000..2ee311c1bd07
--- /dev/null
+++ b/dev-python/wheel/wheel-0.38.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="
+ https://github.com/pypa/wheel/
+ https://pypi.org/project/wheel/
+"
+SRC_URI="
+ https://github.com/pypa/wheel/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle packaging
+ rm -r src/wheel/vendored || die
+ sed -i -e 's:\.vendored\.::' src/wheel/*.py || die
+
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ [[ -e pyproject.toml ]] &&
+ die "Upstream added pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "wheel"
+ description = "A built-package format for Python"
+ dynamic = ["version"]
+
+ [project.scripts]
+ wheel = "wheel.cli:main"
+
+ [project.entry-points."distutils.commands"]
+ bdist_wheel = "wheel.bdist_wheel:bdist_wheel"
+ EOF
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index e5f065c332b0..91eea7f76917 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1 +1,2 @@
DIST python-zeroconf-0.39.1.gh.tar.gz 135252 BLAKE2B 82efa3e39b6e18b9d73b45958190c1d76978231842c1f61ff4519b9a763fb2c1564dae9c0b1d31109e291acc966127cfae9fa02400f1695e97dcc1b0e5a509f7 SHA512 3e1bc4bd48b77bce711f8b49b9cdce1769d7af72094c9ebc161ecb833fe90c7bd36ec5b9fc35c524ddd8c30a67af5937f188c81cf3a251d80c0e71f4b7c3add7
+DIST python-zeroconf-0.39.2.gh.tar.gz 136788 BLAKE2B ce8130cd3b89969e0cb5a9e9ddc82dc29e2517a29ce44f309950034ece433475336647dcebef8d6ec0d68271b784f9a345d2fb752dc0ad185db0298cfbad4bdd SHA512 0e1f5abdb5ed82bd281353c7bd84eeabd160195d66d641a4ce97f5f4806aab9bcf1c4cdf399e1a8082ac9b7ad979151bfc03b2b6226744075b2025fceaa30c79
diff --git a/dev-python/zeroconf/zeroconf-0.39.2.ebuild b/dev-python/zeroconf/zeroconf-0.39.2.ebuild
new file mode 100644
index 000000000000..4951b945151d
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.39.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=python-zeroconf-${PV}
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/jstasiak/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+SRC_URI="
+ https://github.com/jstasiak/python-zeroconf/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+ tests/test_core.py::Framework::test_launch_and_close_v4_v6
+ tests/test_core.py::Framework::test_launch_and_close_v6_only
+ tests/services/test_types.py::ServiceTypesQuery::test_integration_with_listener_ipv6
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+)